All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.lookup.utils
Class XML

    com.sas.services.information.metadata.lookup.utils.XML

Deprecated.

    @Deprecated
    public class XML

Constructor Summary
`XML()` Deprecated.

Method Summary
`static org.w3c.dom.Document` | `createDocument(java.lang.String xml)` Deprecated.
`static org.w3c.dom.Node` | `findChildNodeByName(org.w3c.dom.Node node, java.lang.String name)` Deprecated.
`static org.w3c.dom.Document` | `newDocument(java.lang.String name)` Deprecated.
`static org.w3c.dom.Document` | `parse(java.io.File file)` Deprecated.
`static void` | `write(org.w3c.dom.Document doc, java.io.File file)` Deprecated.
`static void` | `writeToConsole(org.w3c.dom.Document doc)` Deprecated.

Constructor Detail

### XML

    public XML()

  Deprecated.

Method Detail

### createDocument

    public static org.w3c.dom.Document createDocument(java.lang.String xml)

  Deprecated.

### newDocument

    public static org.w3c.dom.Document newDocument(java.lang.String name)

  Deprecated.

### parse

    public static org.w3c.dom.Document parse(java.io.File file)
                                      throws java.io.FileNotFoundException,
                                             java.io.IOException,
                                             org.xml.sax.SAXException,
                                             javax.xml.parsers.ParserConfigurationException

  Deprecated.
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`

### writeToConsole

    public static void writeToConsole(org.w3c.dom.Document doc)

  Deprecated.

### write

    public static void write(org.w3c.dom.Document doc,
                             java.io.File file)

  Deprecated.

### findChildNodeByName

    public static org.w3c.dom.Node findChildNodeByName(org.w3c.dom.Node node,
                                                       java.lang.String name)

  Deprecated.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.